﻿using System;
using System.Diagnostics;
using System.Runtime.InteropServices;

namespace Egtra
{
    [ComImport, Guid("95E19FD5-D011-4979-BBFB-26D9C358BDC0"), InterfaceType(ComInterfaceType.InterfaceIsIUnknown)]
    internal interface IDebug
    {
        void WriteLine([In, MarshalAs(UnmanagedType.BStr)] string s);
        void WriteLineW([In, MarshalAs(UnmanagedType.LPWStr)] string s);
    }

    sealed class DebugImpl : IDebug
    {
        public void WriteLine(string s)
        {
            Debug.WriteLine(s);
        }

        public void WriteLineW(string s)
        {
            Debug.WriteLine(s);
        }
    }
}
